### Virtual Method

# Gtk Widgetget_request_mode

#### Declaration [src]

    GtkSizeRequestMode
    get_request_mode (
      GtkWidget* widget
    )

#### Description [src]

Gets whether the widget prefers a height-for-width layout or a width-for-height layout.

Single-child widgets generally propagate the preference of their child, more complex widgets need to request something either in context of their children or in context of their allocation capabilities.

#### Return value

Type: `GtkSizeRequestMode`

The `GtkSizeRequestMode` preferred by `widget`.